#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Tools for using a Web Server Gateway Interface stack
Summary(pl.UTF-8):	Narzędzia do używania stosu Web Server Gateway Interface
Name:		python-Paste
Version:	2.0.3
Release:	1
Group:		Libraries/Python
License:	MIT
#Source0Download: https://pypi.org/simple/paste/
Source0:	https://files.pythonhosted.org/packages/source/P/Paste/Paste-%{version}.tar.gz
# Source0-md5:	1231e14eae62fa7ed76e9130b04bc61e
Patch0:		%{name}-py3.7.patch
# dead
#URL:		http://pythonpaste.org/
URL:		https://pypi.org/project/Paste/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools >= 0.6-0.a9.1
%if %{with tests}
BuildRequires:	python-nose >= 0.11
BuildRequires:	python-six >= 1.4.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools >= 0.6-0.a9.1
%if %{with tests}
BuildRequires:	python3-nose >= 0.11
BuildRequires:	python3-six >= 1.4.0
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Paste provides several pieces of "middleware" (or filters) that can be
nested to build web applications. Each piece of middleware uses the
WSGI (PEP 333) interface, and should be compatible with other
middleware based on those interfaces.

%description -l pl.UTF-8
Pakiet Paste dostarcza kilka części warstwy pośredniej (lub filtrów),
które można osadzać w celu zbudowania aplikacji WWW. Każda część
warstwy pośredniej używa interfejsu WSGI (PEP 333) i powinna być
kompatybilna z inną warstwą pośrednią opartą na tych interfejsach.

%package -n python3-Paste
Summary:	Tools for using a Web Server Gateway Interface stack
Summary(pl.UTF-8):	Narzędzia do używania stosu Web Server Gateway Interface
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-Paste
Paste provides several pieces of "middleware" (or filters) that can be
nested to build web applications. Each piece of middleware uses the
WSGI (PEP 333) interface, and should be compatible with other
middleware based on those interfaces.

%description -n python3-Paste -l pl.UTF-8
Pakiet Paste dostarcza kilka części warstwy pośredniej (lub filtrów),
które można osadzać w celu zbudowania aplikacji WWW. Każda część
warstwy pośredniej używa interfejsu WSGI (PEP 333) i powinna być
kompatybilna z inną warstwą pośrednią opartą na tych interfejsach.

%package apidocs
Summary:	API documentation for Python Paste module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona Paste
Group:		Documentation

%description apidocs
API documentation for Python Paste module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona Paste.

%prep
%setup -q -n Paste-%{version}
%patch0 -p1

# junk in archive
%{__rm} paste/*.py.orig paste/util/*.py.orig
# online test + requires outdated pythonpaste.org website content
%{__rm} tests/test_proxy.py

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
# no Makefile docs
cd docs
sphinx-build -b html . _build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst docs/{license,news}.txt
# paste is also top dir for other python-Paste* packages
%dir %{py_sitescriptdir}/paste
%{py_sitescriptdir}/paste/auth
%{py_sitescriptdir}/paste/cowbell
%{py_sitescriptdir}/paste/debug
%{py_sitescriptdir}/paste/evalexception
%{py_sitescriptdir}/paste/exceptions
%{py_sitescriptdir}/paste/util
%{py_sitescriptdir}/paste/*.py[co]
%{py_sitescriptdir}/Paste-%{version}-py*.egg-info
%{py_sitescriptdir}/Paste-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-Paste
%defattr(644,root,root,755)
%doc README.rst docs/{license,news}.txt
# paste is also top dir for other python3-Paste* packages
%dir %{py3_sitescriptdir}/paste
%{py3_sitescriptdir}/paste/auth
%{py3_sitescriptdir}/paste/cowbell
%{py3_sitescriptdir}/paste/debug
%{py3_sitescriptdir}/paste/evalexception
%{py3_sitescriptdir}/paste/exceptions
%{py3_sitescriptdir}/paste/util
%{py3_sitescriptdir}/paste/*.py
%{py3_sitescriptdir}/paste/__pycache__
%{py3_sitescriptdir}/Paste-%{version}-py*.egg-info
%{py3_sitescriptdir}/Paste-%{version}-py*-nspkg.pth
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,community,download,include,modules,*.html,*.js}
%endif
%changelog
* Sat Jul 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Paste.git;a=log;h=master

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> e091c80
- updated to 2.0.3 (python 3 support)
- added py3.7 patch (fix StopIteration issue detected by tests)
- added python3- and -apidocs packages

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a7ed80f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 834f6b1
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5cb1473
- automatic change: use py_build/py_install macros

* Tue Jul 23 2013 Jan Rękorajski <baggins@pld-linux.org> 49d54a1
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> cfd2d4d
- up to 1.7.5.1

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 21ecfd7
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> aa45982
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 60d708a
- release 2

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 37dfe16
- up to 1.7.2

* Thu Feb 05 2009 beorn <beorn@pld-linux.org> 2810aa4
- Group name fix

* Sat Nov 01 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ca56d84
- release 1

* Fri Sep 14 2007 beorn <beorn@pld-linux.org> 728a434
- Up to 1.4.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8f14680
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 60add9f
- converted to UTF-8

* Sun Jan 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> df6d227
- up to 1.1.1

* Fri Nov 17 2006 radzio <radzio@pld-linux.org> 96f8c4e
- up to 1.0

* Mon Apr 24 2006 Artur Frysiak <artur@frysiak.net> 3dffddd
- updated to 0.9

* Sun Apr 16 2006 Jakub Bogusz <qboosh@pld-linux.org> e0d967d
- tab

* Sun Apr 16 2006 radzio <radzio@pld-linux.org> e283cfd
- better [B]R

